| FlatBuffers An open source project by FPL.

- Programmer's Guide
- Platform / Language / Feature support
- Benchmarks
- FlatBuffers white paper
- FlatBuffers internals
- Grammar of the schema language
- API Reference
- Contributing

- APIs
- Class List

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
flatbuffers::vector_downward Class Reference

## Public Member Functions
uint8_t * | buf () const
size_t | capacity () const
void | clear ()
uint8_t * | data () const
uint8_t * | data_at (size_t offset) const
void | fill (size_t zero_pad_bytes)
void | fill_big (size_t zero_pad_bytes)
Allocator & | get_allocator ()
size_t | growth_policy (size_t bytes)
uint8_t * | make_space (size_t len)
void | pop (size_t bytes_to_remove)
void | push (const uint8_t *bytes, size_t num)
template<typename T >
void | push_small (const T &little_endian_t)
DetachedBuffer | release ()
void | reset ()
uoffset_t | size () const
| vector_downward (size_t initial_size=1024, Allocator *allocator=nullptr, bool own_allocator=false)

The documentation for this class was generated from the following file:

- flatbuffers.h